
QGIS Application - Bug report #1685

Print composer does not work

2009-05-11 08:27 AM - vince -

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11745

Description

The print composer does not work. I get a blank window, and obviously no controls work.

History

#1 - 2009-06-13 02:03 AM - Paolo Cavallini

Worksforme - could you please check carefully and report some more details?

You get a blank window, but can you add objects on it?

#2 - 2009-06-16 06:39 AM - vince -

No, it is blank and remains blank. No interactions are possible. The icons and dialog are displayed, but none will function. I join a screen copy.

#3 - 2009-06-23 12:11 AM - Paolo Cavallini

- Status changed from Open to Closed

- Resolution set to worksforme

Please click on the "Add new map" and "Add legend" buttons: do they work? They do in all the installation I have tried. Please reopen the ticket if they still

do not work.

#4 - 2009-06-24 01:19 AM - vince -

- Resolution deleted (worksforme)

- Status changed from Closed to Feedback

I know that, I am not dumb :)

Nothing work. I can't add a thing. No menu item nor any icon will produce any visible result.

It might be some side effect of the Macports installation framework, but where should I look to get further informations?

#5 - 2009-06-24 01:33 AM - vince -

It might be a duplicate of #1654 (q. v.).
#6 - 2009-06-25 01:20 PM - John Tull

I wonder if this is related to the plugin issues I have been having. Does the Print Composer use qt3 libs? Some versions of qt4.5 do not provide qt3 lib

support.

#7 - 2009-06-25 04:27 PM - John Tull

I just installed a version of Qt-4.5 with the qt3 lib support, and that has fixed the issue for me. Try getting qt3-lib support in qt 4.5 and that should fix it,

although qt3-lib dependencies should be resolved in qgis code to make this a non-problem.

#8 - 2009-06-25 10:55 PM - vince -

Thanks. It is impossible for me to get qt3 backsupport because, at least on [[MacOS]] X, that breaks 64-bit builds (qt3 backsupport relies on the legacy

Carbon C toolkit which, unlike the modern Objective C Cocoa, is 32-bit only). At any rate, I wonder if the qt3 legacy support will be compatible with Snow

Leopard, forecast for September.

#9 - 2009-06-27 10:47 AM - John Tull

@vince: Indeed, I had upgraded to the native Cocoa qt-4.5, but had to revert to 32-bit carbon to get qgis behaving well. Ideally, the qt3 legacy code should

be updated to qt4.

#10 - 2009-07-15 04:39 AM - simonb -

Testing with OS X 10.5.7 and Qgis 1.1.0-Pan (Unstable) installed from http://www.kyngchaos.com/files/software/unixport/Qgis-1.1.0-3-Leopard.dmg.

Works for me, although the "Composer Item Properties" and "Map Extent" widgets are crushed to unreadability for certain object types unless the Print

Composer dialog window is expanded from initial default size. See screenshot "Print Composer Widgets.png"

#11 - 2009-07-15 06:58 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed

Replying to [comment:10 simonb]:

Testing with OS X 10.5.7 and Qgis 1.1.0-Pan (Unstable) installed from http://www.kyngchaos.com/files/software/unixport/Qgis-1.1.0-3-Leopard.dmg

.

Works for me, although the "Composer Item Properties" and "Map Extent" widgets are crushed to unreadability for certain object types unless the

Print Composer dialog window is expanded from initial default size. See screenshot "Print Composer Widgets.png"

this is a problem that is common to the other platforms, and depends also by the size of the font used in your desktop environment. I close this ticket

because the original problem seems to be resolved. I'll check if a ticket has already been filed about the readability problems in the composer.

#12 - 2009-07-15 10:51 PM - vince -

2024-03-20 2/3

http://www.kyngchaos.com/files/software/unixport/Qgis-1.1.0-3-Leopard.dmg
http://www.kyngchaos.com/files/software/unixport/Qgis-1.1.0-3-Leopard.dmg


Ok, the problem seems to be fixed with the latest SVN. Thanks.
